Deploy WireGuard with [UI](https://github.com/ngoduykhanh/wireguard-ui)

WireGuard UI configuration example:

    wireguard_ui_env: 
      WGUI_USERNAME: admin
      WGUI_PASSWORD: admin
      WGUI_MTU: 1420
      BIND_ADDRESS: 127.0.0.1:5001
      SESSION_SECRET: 74f8155b3c91437db6e6c29c28e23ecc
      WGUI_CONFIG_FILE_PATH: /etc/wireguard/wg0.conf

HAProxy configuration example with [HAProxy role](https://gitea.0xace.cc/ansible-galaxy/haproxy.git):

    haproxy_ssl: yes
    haproxy_self_signed_cert: yes
    haproxy_config:
      frontend:
        well-known:
          bind: ':80'
          mode: http
          acl:
            - letsencrypt-acl path_beg /.well-known/acme-challenge/
          http-request:
            - redirect scheme https if !{ path_beg /.well-known/acme-challenge/ } !{ ssl_fc }
          use_backend:
            - letsencrypt-backend if letsencrypt-acl
        https:
          bind: ':443 ssl crt {{ haproxy_ssl_path }}'
          mode: http
          acl:
            - letsencrypt-acl path_beg /.well-known/acme-challenge/
          use_backend:
            - letsencrypt-backend if letsencrypt-acl
          default_backend: localhost_5001
      backend:
        letsencrypt-backend:
          mode: http
          server:
            - letsencrypt 127.0.0.1:8080
        localhost_5001:
          mode: http
          server:
            - localhost 127.0.0.1:5001
